@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap');

@font-face {
    font-family: 'Neuzeit Antiqua';
    src: url('/wp-content/themes/agliyastudio/assets/fonts/Neuzeit-Antiqua.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
    html {
        scroll-behavior: smooth;
    }

    body.front,
    .interface-interface-skeleton__content {
        @apply relative text-white text-[22px] font-montserrat font-normal leading-none bg-agliyastudio-primary;
    }

    .alignfull {
        @apply max-w-none;
    }

    .container {
        @apply mx-auto px-[50px] large:px-0;
    }

    .container .container {
        @apply !px-0;
    }

    section section:not(.cards-icons) {
        @apply !py-0;
    }

    h1 {
        @apply font-neuzeit-antiqua text-[30px] lg:text-[72px] leading-[1.1];
    }

    h2,
    h1.h2 {
        @apply font-neuzeit-antiqua text-[30px] lg:text-[55px] leading-none;
    }

    p {
        @apply last:mb-0 empty:mb-0;
        @apply mb-8;
        @apply break-words;
    }

    a:not(.btn-primary):not(.btn-secondary):not(.page-numbers) {
        @apply hover:opacity-80;
    }

    .entry-content {
        @apply break-words max-w-full;

        ol,
        ul {
            @apply list-disc pl-6 marker:text-white;

            li {
                @apply mb-7.5 last:mb-0;
            }
        }

        ol {
            @apply list-decimal;

            li {
                @apply ml-[25px];
            }
        }

        p {
            @apply mb-4 last:mb-0 last-of-type:mb-0;
        }

        .accent {
            @apply font-bold text-agliyastudio-secondary uppercase;
        }
    }

    .entry-content.primary {
        ol,
        ul {
            @apply marker:text-agliyastudio-primary leading-[1.5];

        }
    }

    .btn-primary {
        @apply block w-fit bg-transparent rounded-[16px] lg:rounded-[24px] overflow-hidden border-2 border-agliyastudio-secondary px-9 lg:px-15 py-4 lg:py-[20px] font-semibold text-agliyastudio-secondary text-[16px] lg:text-[24px];
        @apply hover:bg-agliyastudio-secondary hover:text-white;

        transition: all .1s ease-in-out;
    }

    .btn-primary-medium {
        @apply block w-fit bg-transparent rounded-[16px] lg:rounded-[24px] overflow-hidden border-2 border-agliyastudio-secondary px-15 py-[20px] font-semibold text-agliyastudio-secondary text-[16px] medium:text-[24px];
        @apply hover:bg-agliyastudio-secondary hover:text-white;

        transition: all .1s ease-in-out;
    }
}

.swiper-slide {
    height: auto !important;
}

.pagination-prev,
.pagination-next {
    @apply transition-all ease-in bg-white w-[38px] h-[38px] rounded-full;
    @apply flex items-center justify-center hover:cursor-pointer hover:opacity-80 shrink-0;

    &.swiper-button-disabled{
        @apply opacity-50;
    }
}

.swiper-pagination.swiper-pagination-horizontal {
    @apply w-max mx-auto relative;
}

.swiper-pagination-bullet {
    @apply inline-block bg-white opacity-100 w-2 h-2 rounded-full mr-4 last:mr-0 only:hidden;
}

.primary .swiper-pagination-bullet {
    @apply bg-[#8D65AB];
}

.swiper-pagination-bullet-active,
.primary .swiper-pagination-bullet-active {
    @apply bg-agliyastudio-secondary;
}